#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <Fl/fl_message.H>
#include "pc21gui.h"
#include "pc21.h"

void PC21GUI::show(void){


  mainWindow->show();
}

void PC21GUI::quit(void){


  mainWindow->hide();
}

void PC21GUI::check_all(void){

}

void PC21GUI::init(void){

fl_message("The  adress is set to %i decimal, Try to  initialize ..  ",DEFAULT_ADDR );


 char  errorString[40];

#ifdef PC21
	  if( initialize() == 1 )
  	  {
  		strcpy(errorString, "Initialisation failed...") ;
  		fl_message("%s", errorString); 
  	  }
  else
    {
      fl_message("success");
    }

#else

fl_message("Hardware functionality disabled.... see Makefile to enable it!! Proceed with dummy version");

#endif

}

void PC21GUI::rotate_right(void){


  char c[10];


//    check_all();

 
        
 	strcpy(commandString, "MN MR13 ");
        
        strcat(commandString, " A");
          
        strcat(commandString, UI_acceleration->value()  );
       
        strcat(commandString, " V");
 
 	strcat(commandString, UI_velocity->value() );

        strcat(commandString, " D");

	sprintf(c,"%s",UI_steps->value());
      	strcat(commandString, c);
  	
        strcat(commandString, " G CR ");
       
	//        fl_message("%s ", commandString);
	UI_commandString->value(commandString);
	mainWindow->redraw();




//  execute  command
#ifdef PC21
  	pc21_writecmd(commandString);

// if motor ready, wait for  Carriage Return
	  	pc21_readanswer(commandString);
#endif

 }

void PC21GUI::rotate_left(void){


        char c[10];
 
	strcpy(commandString, "MN MR13 ");
        
        strcat(commandString, " A");
          
        strcat(commandString, UI_acceleration->value()  );
       
        strcat(commandString, " V");
 
        strcat(commandString, UI_velocity->value() );

        strcat(commandString, " D-");

	sprintf(c,"%s",UI_steps->value());
 
     	strcat(commandString, c);
  	
        strcat(commandString, " G CR ");
       
	//        fl_message("%s ", commandString);
	UI_commandString->value(commandString);

	mainWindow->redraw();



//  execute command 

#ifdef PC21
  	pc21_writecmd(commandString);
// if motor ready, wait for  Carriage Return

  	pc21_readanswer(commandString);
#endif


}





